import { ThemeOptions } from "@mui/material/styles";

const primary = "#00695C";
const secondary = "#DC7633";
const warning = "#ff9800";
const success = "#4caf50";
const info = "#2196f3";

// background_default: "#f4f5fd",

export const commonTheme: ThemeOptions = {
  palette: {
    primary: {
      main: primary
    },
    secondary: {
      main: secondary
    },
    warning: {
      main: warning
    },
    success: {
      main: success
    },
    info: {
      main: info
    }
  }
};

const lightThemeOptions: ThemeOptions = {
  ...commonTheme,
  palette: {
    ...commonTheme.palette,
    mode: "light",
    background: {
      default: "#fafafa",
      paper: "#fff"
    }
  }
};

const darkThemeOptions: ThemeOptions = {
  ...commonTheme,
  palette: {
    ...commonTheme.palette,
    mode: "dark",
    background: {
      default: "#303030",
      paper: "#424242"
    }
  }
};

export { lightThemeOptions, darkThemeOptions };
